Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.infocardOrganizer
Class LargeCellEditor

    java.lang.Object
      javax.swing.tree.DefaultTreeCellEditor
          org.infoml.infocardOrganizer.LargeCellEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, javax.swing.CellEditor, javax.swing.event.TreeSelectionListener, javax.swing.tree.TreeCellEditor

    public class LargeCellEditor

extends javax.swing.tree.DefaultTreeCellEditor

Nested Class Summary
`class` | `LargeCellEditor.EditorContainer`

Nested classes/interfaces inherited from class javax.swing.tree.DefaultTreeCellEditor
`javax.swing.tree.DefaultTreeCellEditor.DefaultTextField`

Field Summary

Fields inherited from class javax.swing.tree.DefaultTreeCellEditor
`borderSelectionColor, canEdit, editingComponent, editingContainer, editingIcon, font, lastPath, lastRow, offset, realEditor, renderer, timer`

Constructor Summary
`LargeCellEditor(javax.swing.JTree tree, javax.swing.tree.DefaultTreeCellRenderer renderer, MainFrame mainFr)`

Method Summary
`protected java.awt.Container` | `createContainer()` Creates the container to manage placement of `editingComponent`.
`boolean` | `stopCellEditing()`

Methods inherited from class javax.swing.tree.DefaultTreeCellEditor
`actionPerformed, addCellEditorListener, cancelCellEditing, canEditImmediately, createTreeCellEditor, determineOffset, getBorderSelectionColor, getCellEditorListeners, getCellEditorValue, getFont, getTreeCellEditorComponent, inHitRegion, isCellEditable, prepareForEditing, removeCellEditorListener, setBorderSelectionColor, setFont, setTree, shouldSelectCell, shouldStartEditingTimer, startEditingTimer, valueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LargeCellEditor

    public LargeCellEditor(javax.swing.JTree tree,
                           javax.swing.tree.DefaultTreeCellRenderer renderer,
                           MainFrame mainFr)

Method Detail

### stopCellEditing

    public boolean stopCellEditing()

  Specified by:
    `stopCellEditing` in interface `javax.swing.CellEditor`
  Overrides:
    `stopCellEditing` in class `javax.swing.tree.DefaultTreeCellEditor`

### createContainer

    protected java.awt.Container createContainer()

  Creates the container to manage placement of `editingComponent`.

  Overrides:
    `createContainer` in class `javax.swing.tree.DefaultTreeCellEditor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD